# This should be submitted to tainted as per our policy on game emulators

Name:           pcsxr
Version:        1.9.93
Release:        %mkrel 5
Summary:        PCSX-Reloaded is a Sony PlayStation emulator
License:        GPLv2
Group:          Emulators
Url:            http://pcsxr.codeplex.com/
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
BuildRequires:  nasm

%description
PCSX-Reloaded is a forked version of the dead PCSX emulator, with a
nicer interface and several improvements to stability and
functionality.

PCSX-Reloaded uses the PSEMU plugin interface to provide most
functionality; without them, you will not be able to use it to play
games. PCSX-Reloaded provides a number of plugins to provide basic
functionality out of the box.

This package is in tainted as per Mageia's policy on emulators.

%prep
%setup -qn %{name}

%build
autoreconf -vfi
export CFLAGS='%{optflags} -Wno-error=format-security'
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --bindir=%{_gamesbindir} \
            --enable-opengl \
            --enable-libcdio
%make

%install
%makeinstall_std
desktop-file-edit --add-category=Emulator \
                  %{buildroot}%{_datadir}/applications/%{name}.desktop

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/psemu
%{_datadir}/%{name}
%{_gamesbindir}/%{name}
%{_libdir}/games/psemu
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Nov 09 2014 akien <akien> 1.9.93-5.mga5
+ Revision: 796146
- Enable libcdio support

* Wed Oct 15 2014 umeabot <umeabot> 1.9.93-4.mga5.tainted
+ Revision: 744401
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.93-3.mga5.tainted
+ Revision: 727549
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9.93-2.mga5.tainted
+ Revision: 683376
- Mageia 5 Mass Rebuild

* Mon Mar 24 2014 akien <akien> 1.9.93-1.mga5.tainted
+ Revision: 607846
- New version 1.9.93
- Build OpenGL plugin
- Use %%find_lang
- imported package pcsxr

